org.apache.mina.coap

## Class CoapOption

- java.lang.Object
- - org.apache.mina.coap.CoapOption

    public class CoapOption
    extends Object

A CoAP message option.

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`CoapOption(CoapOptionType type, byte[] data)` Create a CoAP option

### Method Summary

Methods
`boolean` `equals(Object obj)`
`byte[]` `getData()`
`CoapOptionType` `getType()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoapOption

    public CoapOption(CoapOptionType type,
              byte[] data)

Create a CoAP option

Parameters:
  `type` - the type of the option
  `data` - the content of the option

### Method Detail

#### getType

    public CoapOptionType getType()

#### getData

    public byte[] getData()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`